LinuxQuestions.org
Go Job Hunting at the LQ Job Marketplace
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 11-11-2013, 10:53 AM   #1
incognitodiscforums
LQ Newbie
 
Registered: Nov 2013
Posts: 4

Rep: Reputation: Disabled
installing the saasbook oracle virtual box running Ubuntu Linux VM - on SUSE Linux


I attempted to install the SaasBook, an Oracle Virtual Box running a Ubuntu Linux VM on my SUSE linux machine and it failed.

I downloaded the SaasBook from:
http://beta.saasbook.info/bookware-vm-instructions

This page also has the Ubuntu Linux VM link for download for the UC Berkeley Saas class offered on EdX.

When I started the Saasbook on SUSE Linux and attempted to start the Ubuntu VM from there, I got an error that asked me to install DKMS, so I downloaded and installed that from Yast2. I then ran the command it asked me to and it appeared to work.

run as su root:

/etc/init.d/vboxdrv setup
Stopping VirtualBox kernel modules done
Uninstalling old VirtualBox DKMS kernel modules done
Trying to register the VirtualBox kernel modules using DKMS done
Starting VirtualBox kernel modules done

I then restarted the SaasBook and received another obscure installation error. Please let me know if anyone has successfully done this. Otherwise I will not be able to take part2 of this Saas class. (I took part 1, and the SaasBook installed correctly on my former Windows7 machine that I no longer have, but it does not seem to work here).

It seems that my SUSE Linux wants to run a different version of the Oracle Virtual Box than the SaasBook.
 
Old 11-11-2013, 11:58 AM   #2
TB0ne
Guru
 
Registered: Jul 2003
Location: Birmingham, Alabama
Distribution: SuSE, RedHat, Slack,CentOS
Posts: 15,077

Rep: Reputation: 2713Reputation: 2713Reputation: 2713Reputation: 2713Reputation: 2713Reputation: 2713Reputation: 2713Reputation: 2713Reputation: 2713Reputation: 2713Reputation: 2713
Quote:
Originally Posted by incognitodiscforums View Post
I attempted to install the SaasBook, an Oracle Virtual Box running a Ubuntu Linux VM on my SUSE linux machine and it failed.

I downloaded the SaasBook from: http://beta.saasbook.info/bookware-vm-instructions
This page also has the Ubuntu Linux VM link for download for the UC Berkeley Saas class offered on EdX. When I started the Saasbook on SUSE Linux and attempted to start the Ubuntu VM from there, I got an error that asked me to install DKMS, so I downloaded and installed that from Yast2. I then ran the command it asked me to and it appeared to work.

run as su root:

/etc/init.d/vboxdrv setup
Stopping VirtualBox kernel modules done
Uninstalling old VirtualBox DKMS kernel modules done
Trying to register the VirtualBox kernel modules using DKMS done
Starting VirtualBox kernel modules done

I then restarted the SaasBook and received another obscure installation error. Please let me know if anyone has successfully done this. Otherwise I will not be able to take part2 of this Saas class. (I took part 1, and the SaasBook installed correctly on my former Windows7 machine that I no longer have, but it does not seem to work here).

It seems that my SUSE Linux wants to run a different version of the Oracle Virtual Box than the SaasBook.
Well, we don't know what to tell you, since you haven't told us what version of openSUSE you're running, or even what errors you got. You just say "it failed", and that you "received another obscure installation error"....but don't tell us HOW it failed, or what the error was.

Without details, there's little we can tell you. Post the error(s) you got, tell us the version of openSUSE, and we can try to assist.
 
Old 11-11-2013, 01:14 PM   #3
incognitodiscforums
LQ Newbie
 
Registered: Nov 2013
Posts: 4

Original Poster
Rep: Reputation: Disabled
Apologies: The version of SUSE Linux I currently have is 12.3, but I believe my husband told me a new version is coming out in just over a week or so.

At a shell window, I typed the command:
uname -r

and it responded that my Linux kernel version is:
3.7.10-1.16-desktop

However, when I run the boot loader, I choose the option that says in its text:
SUSE Linux 12.3

So I'm not sure which version I should report to you.

Here is the exact error message to which I was referring in my previous posting. This error message occurred after trying to start the SaasBook on my SUSE Linux machine. It said to install from Yast2 the DKMS, and after doing that, as 'su root', running the command:
/etc/init.d/vboxdrv setup

which gave the output mentioned in my previous post:

Stopping VirtualBox kernel modules done
Uninstalling old VirtualBox DKMS kernel modules done
Trying to register the VirtualBox kernel modules using DKMS done
Starting VirtualBox kernel modules done

When I restarted Saasbook - the current error in my previous posting, listed here in detail, looks like:

RTR3InitEx failed with rc=-1912 (rc=-1912)

The VirtualBox kernel modules do not match this version of VirtualBox. The installation of VirtualBox was apparently not successful. Executing

'/etc/init.d/vboxdrv setup'

may correct this. Make sure that you do not mix the OSE version and the PUEL version of VirtualBox.

So it seems that my SUSE Linux thinks the SaasBook version of Oracle's Virtual Box is not compatible with the Oracle Virtual Box that it expects to run.

Any help in fixing this error is appreciated, since I'm considering whether or not to take part 2 of the Saas Ruby on Rails Agile web apps class that starts today, given on EdX, from UC Berkeley. I took part 1 awhile back, but had installed the SaasBook on a Windows 7 lap top that recently died. I now only have my husband's loaned SUSE Linux machine to use for the time being, but it actually belongs to his research group! However, I can use it for now, and I'm wondering if this SaasBook will work here.
 
Old 11-11-2013, 05:45 PM   #4
TB0ne
Guru
 
Registered: Jul 2003
Location: Birmingham, Alabama
Distribution: SuSE, RedHat, Slack,CentOS
Posts: 15,077

Rep: Reputation: 2713Reputation: 2713Reputation: 2713Reputation: 2713Reputation: 2713Reputation: 2713Reputation: 2713Reputation: 2713Reputation: 2713Reputation: 2713Reputation: 2713
Quote:
Originally Posted by incognitodiscforums View Post
Apologies: The version of SUSE Linux I currently have is 12.3, but I believe my husband told me a new version is coming out in just over a week or so.

At a shell window, I typed the command: uname -r and it responded that my Linux kernel version is: 3.7.10-1.16-desktop

However, when I run the boot loader, I choose the option that says in its text: SUSE Linux 12.3 So I'm not sure which version I should report to you.
The version/distro is openSUSE 12.3. The output of the uname command is the kernel version you are currently running.
Quote:
Here is the exact error message to which I was referring in my previous posting. This error message occurred after trying to start the SaasBook on my SUSE Linux machine. It said to install from Yast2 the DKMS, and after doing that, as 'su root', running the command:
/etc/init.d/vboxdrv setup

which gave the output mentioned in my previous post:

Stopping VirtualBox kernel modules done
Uninstalling old VirtualBox DKMS kernel modules done
Trying to register the VirtualBox kernel modules using DKMS done
Starting VirtualBox kernel modules done

When I restarted Saasbook - the current error in my previous posting, listed here in detail, looks like:

RTR3InitEx failed with rc=-1912 (rc=-1912)

The VirtualBox kernel modules do not match this version of VirtualBox. The installation of VirtualBox was apparently not successful. Executing

'/etc/init.d/vboxdrv setup'

may correct this. Make sure that you do not mix the OSE version and the PUEL version of VirtualBox.

So it seems that my SUSE Linux thinks the SaasBook version of Oracle's Virtual Box is not compatible with the Oracle Virtual Box that it expects to run.

Any help in fixing this error is appreciated, since I'm considering whether or not to take part 2 of the Saas Ruby on Rails Agile web apps class that starts today, given on EdX, from UC Berkeley. I took part 1 awhile back, but had installed the SaasBook on a Windows 7 lap top that recently died. I now only have my husband's loaned SUSE Linux machine to use for the time being, but it actually belongs to his research group! However, I can use it for now, and I'm wondering if this SaasBook will work here.
There are some suggestions on the openSUSE website, that specifically address the error message you're getting, along with some suggestions.
http://forums.opensuse.org/english/g...irtualbox.html

If this is the ONLY guest OS you're running, consider removing Virtualbox entirely, rebooting, then loading it all fresh.
 
Old 11-12-2013, 04:48 AM   #5
incognitodiscforums
LQ Newbie
 
Registered: Nov 2013
Posts: 4

Original Poster
Rep: Reputation: Disabled
tried looking at your link to solve issue - did not

I did attempt the recommendations made on the link provided but they did not help, but thank you anyway for your response.

As for a fresh installation - this is a fresh installation I'm working with at the moment, just downloaded a few days ago.

The error message seems to be that the OSE version and PUEL versions (?) are having an issue. I'm not sure, but given the UC Berkeley Saas class requires that you download their version of Oracle Virtual Box put together for the Saas class, the SaasBook, that may not be the latest version, and is incompatible with what my SUSE Linux packages expect.

Thank you anyway for trying to help with the issue.
 
Old 11-12-2013, 09:51 AM   #6
incognitodiscforums
LQ Newbie
 
Registered: Nov 2013
Posts: 4

Original Poster
Rep: Reputation: Disabled
Also just tried to install EC2 - Amazon's Web Services - an alternative to the SaasBook for the UC Berkeley Saas class - but for some reason - it would not accept my Amazon Visa Card, which is up to date, paid up to date, but the AWS refused my credit card - so cannot do the class using Amazon's Web Services either.

Perhaps taking part2 of this Saas class was not meant to be!

Thank you for your reply.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Issue faced while installing Linux in virtual machine in Oracle virtual box ravisingh1 Linux - Virtualization and Cloud 5 04-07-2013 11:42 AM
Loop forinstalling LINUX onto Oracle VM Virtual Box arca777 Linux - Newbie 1 01-18-2013 11:49 AM
[SOLVED] Ubuntu 12.04 not booting in oracle virtual box 4.0.4 KaRt Linux - Newbie 1 08-13-2012 05:39 AM
Installing RHEL6 using Oracle Virtual box having Win 7 as base OS arora.linux Linux - Newbie 2 05-31-2011 07:49 PM
Running virtual pc files in a virtual machine in linux ... preferably virtual box biharibong Linux - Software 4 01-21-2009 02:04 PM


All times are GMT -5. The time now is 04:48 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration